Bug 733934 - Ffgtk has unowned directories
Summary: Ffgtk has unowned directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ffgtk
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Louis Lagendijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 18:25 UTC by Pavel Alexeev
Modified: 2011-09-30 18:48 UTC (History)
1 user (show)

Fixed In Version: ffgtk-0.7.94-8.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 23:31:00 UTC


Attachments (Terms of Use)

Description Pavel Alexeev 2011-08-28 18:25:04 UTC
Description of problem:
Shutter include files, which goes in unowned directories:
$ yum provides '/usr/share/icons/ubuntu-mono-dark'
...
No Matches found

$ yum provides '/usr/share/icons/ubuntu-*'
...
ffgtk-0.7.94-2.fc15.i686 : A solution for controlling Fritz!Box or compatible routers
Repo        : updates
Matched from:
Filename    : /usr/share/icons/ubuntu-mono-light/scalable/apps/ffgtk.svg
Filename    : /usr/share/icons/ubuntu-mono-dark/scalable/apps/ffgtk.svg

Our guidelines say such directories must be owned
http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_wholly_contained_in_your_package.2C_or_involves_core_functionality_of_your_package


And may be that files Ubuntu related and does not needed in Fedora at all??

Comment 1 Louis Lagendijk 2011-09-15 19:55:17 UTC
Thanks for the heads up. Yes, you are right, these files are Ubuntu related. I will remove them in the next version. I apparently missed the unonwned directories at some point in time

Comment 2 Fedora Update System 2011-09-19 21:55:00 UTC
ffgtk-0.7.94-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ffgtk-0.7.94-8.fc16

Comment 3 Fedora Update System 2011-09-19 21:55:55 UTC
ffgtk-0.7.94-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ffgtk-0.7.94-8.fc15

Comment 4 Fedora Update System 2011-09-19 21:56:35 UTC
ffgtk-0.7.94-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ffgtk-0.7.94-8.fc14

Comment 5 Fedora Update System 2011-09-20 19:05:08 UTC
Package ffgtk-0.7.94-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ffgtk-0.7.94-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ffgtk-0.7.94-8.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-29 23:30:54 UTC
ffgtk-0.7.94-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-29 23:32:14 UTC
ffgtk-0.7.94-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-30 18:48:35 UTC
ffgtk-0.7.94-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.